Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

Create using payment intent

Used to attach the card to the customer after 3DS completion. Learn more on the 3DS implementation via Chargebee APIs.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/payment_sources/create_using_payment_intent

Input Parameters

customer_id
required, string, max chars=50

Identifier of the customer with whom this payment source is associated.

brand_id
optional, string, max chars=50

The unique ID of the brand this payment source should be linked to. Applicable only when multiple brands have been created for the site. This need not match the brand of the customer_id; when the two differ, the value provided here is used for the payment source. An alternative way of passing this parameter is by means of the chargebee-brand-id custom HTTP header; when both are provided, they must specify the same brand.

Default behavior

  • When not provided, the payment source is linked to the brand of the customer it is created for.
replace_primary_payment_source
optional, boolean, default=false

Indicates whether the primary payment source should be replaced with this payment source. In case of Create Subscription for Customer endpoint, the default value is True. Otherwise, the default value is False.

payment_intent
Parameters for payment_intent
pass parameters as payment_intent[<param name>]

Returns

Customer object

Resource object representing customer

Payment source object

Resource object representing payment_source